commit:     78982d23f5474b8a6151609d08ed23a32c69800a
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 20 21:06:05 2020 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Mon Jul 20 21:06:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78982d23

app-portage/portpeek: Performance optimizations

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 app-portage/portpeek/Manifest              |  1 +
 app-portage/portpeek/portpeek-3.0.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-portage/portpeek/Manifest b/app-portage/portpeek/Manifest
index 1fd565c13b2..471848100ce 100644
--- a/app-portage/portpeek/Manifest
+++ b/app-portage/portpeek/Manifest
@@ -1,2 +1,3 @@
 DIST portpeek-2.1.27.tar.gz 13000 BLAKE2B 
a134d7c9a99dc4bfd8cbd56343a6d049c215eadde745f1db6af234c5b561f916f2bf3393a8a01ae44ea4a74bd501b46abdd150cd1403d5254d70c12ad7d7545f
 SHA512 
aeaf47cd5701531c0488709ac63cf38faacec73dafbc96502c34cf279051679242f63bb452fcf14c1b739d08821981e59af3734f4795905d7af31dcaa95f26d2
 DIST portpeek-2.1.29.tar.gz 13067 BLAKE2B 
c0385849738303a3fab8123f6af321bd000f88975b26d363c08aacf873b657b872a898af92a0396f1e3060b5b804fc9f2ddd8579101d2f5da18628080dc4e490
 SHA512 
3933b39c248e3758d67e0c1dd04cb93727eecbda4ae35d55fc266d01f01d7f87c535701cbc54d48a212e1c642a4447d487f2c62aa649f084e1d1fca458263b27
+DIST portpeek-3.0.0.tar.gz 13102 BLAKE2B 
dd067bb0c5d95c24fb6a7f9cafca4aac21c48b175170e78c0f393a6301dbd60e2d151f12bc6761e02a501d8636bb8558817aa44e55b4979bc1c353d71f7b91a9
 SHA512 
692095f6974ee268e1a9d0b89db5afcc64a2c1c870895c929f7fb8f8e6c87fb59f1688f7aa8f1ad04c5295dbea46e72a67ea8fddffd2fd717d0f875be714580e

diff --git a/app-portage/portpeek/portpeek-3.0.0.ebuild 
b/app-portage/portpeek/portpeek-3.0.0.ebuild
new file mode 100644
index 00000000000..9bda36898f4
--- /dev/null
+++ b/app-portage/portpeek/portpeek-3.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit python-r1
+
+DESCRIPTION="A helper program for maintaining the package.keyword and 
package.unmask files"
+HOMEPAGE="https://www.mpagano.com/blog/?page_id=3";
+SRC_URI="https://www.mpagano.com/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+       >=app-portage/gentoolkit-0.4.8
+       || (
+               >=sys-apps/portage-3.0.0[${PYTHON_USEDEP}]
+       )"
+
+src_install() {
+       python_foreach_impl python_doscript ${PN}
+       doman *.[0-9]
+}

Reply via email to